### Constructor

# PapersDocument Attachment new

#### Declaration [src]

    PpsAttachment*
    pps_attachment_new (
      const gchar* name,
      const gchar* description,
      GDateTime* mtime,
      GDateTime* ctime,
      gsize size,
      gpointer data
    )

#### Description

No description available.

#### Parameters

`name`

  Type: `const gchar*`

  No description available.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`description`

  Type: `const gchar*`

  No description available.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`mtime`

  Type: `GDateTime`

  No description available.

  The data is owned by the caller of the function.

`ctime`

  Type: `GDateTime`

  No description available.

  The data is owned by the caller of the function.

`size`

  Type: `gsize`

  No description available.

`data`

  Type: `gpointer`

  No description available.

  The argument can be `NULL`.
  The data is owned by the caller of the function.

#### Return value

Type: `PpsAttachment`

No description available.

The caller of the function takes ownership of the data, and is responsible for freeing it.